Package relaxngcc.grammar

## Class NotAllowedPattern

- java.lang.Object
- - relaxngcc.grammar.Pattern
  - - relaxngcc.grammar.NotAllowedPattern

-     public class NotAllowedPattern
      extends Pattern

  Author:
    Kohsuke Kawaguchi (kk@kohsuke.org)

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NotAllowedPattern​(ParserRuntime rt)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `apply​(PatternFunction f)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotAllowedPattern

          public NotAllowedPattern​(ParserRuntime rt)

  - ### Method Detail

    - #### apply

          public java.lang.Object apply​(PatternFunction f)

      Specified by:
        `apply` in class `Pattern`